export declare const PROPS_EFFECT: string
export declare const COMPONENT_EFFECT: string
export interface PropEffect<Props = object> {
    type: string
    payload: {
        replace: boolean
        props: Props
    }
}
export interface ComponentEffect<Data = object> {
    type: string
    payload: Data
}
export declare const toProps: <Props>(props: Props) => PropEffect<Props>
export declare const asProps: <Props>(props: Props) => PropEffect<Props>
export declare const toRender: <Data>(data: Data) => ComponentEffect<Data>
